Feature: Add Trusts

Bug #1313948 reported by Devdatta Kulkarni on 2014-04-28
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Solum
Wishlist
Angus Salkeld

Bug Description

We need trusts to deploy DU as part of trigger workflow.

We have blueprint with some discussion about this here:

https://blueprints.launchpad.net/solum/+spec/solum-trust-creation-and-usage

Angus Salkeld (asalkeld) on 2014-04-29
Changed in solum:
status: New → Confirmed
Adrian Otto (aotto) wrote :

We can re-target this work if it turns out to be a significant time commitment. My initial reaction is that it may be a small patch. Devdatta thinks this may be a more substantial effort. Angus agreed to look into this and determine the level of effort requited.

Changed in solum:
milestone: none → 2014.1.2
Adrian Otto (aotto) on 2014-04-29
summary: - Add trusts
+ Feature: Add Trusts
Changed in solum:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/91259
Committed: https://git.openstack.org/cgit/stackforge/solum/commit/?id=848d7e956e7a5738ffe1986a597402d98013bc74
Submitter: Jenkins
Branch: master

commit 848d7e956e7a5738ffe1986a597402d98013bc74
Author: Angus Salkeld <email address hidden>
Date: Thu May 1 21:22:35 2014 +1000

    Add trust_id to the context

    Partial-bug: #1313948
    Change-Id: Iac1dc71fcdd95bbd74ad2a6eb07ba8bcb45b6316

Reviewed: https://review.openstack.org/91260
Committed: https://git.openstack.org/cgit/stackforge/solum/commit/?id=ab386ae0c045676448fec20063205152002d6363
Submitter: Jenkins
Branch: master

commit ab386ae0c045676448fec20063205152002d6363
Author: Angus Salkeld <email address hidden>
Date: Thu May 1 22:14:08 2014 +1000

    Add trusts helper code

    Snippets taken from heat/common/heat_keystoneclient.py

    Fixes-bug: #1311112
    Partial-bug: #1313948
    Change-Id: I0f9dbb5033c279b863861b10eb1386ae9093a3ca

Reviewed: https://review.openstack.org/91261
Committed: https://git.openstack.org/cgit/stackforge/solum/commit/?id=43248c0d148ab9851baa19aec018da5ea823a821
Submitter: Jenkins
Branch: master

commit 43248c0d148ab9851baa19aec018da5ea823a821
Author: Angus Salkeld <email address hidden>
Date: Thu May 1 13:14:20 2014 +1000

    Use trusts in the assembly

    Partial-bug: #1313948
    Change-Id: I064070f36927eb0a823fda3e139d37485718c126

Adrian Otto (aotto) on 2014-06-02
Changed in solum:
milestone: 2014.1.2 → juno-1
Adrian Otto (aotto) on 2014-06-12
Changed in solum:
milestone: juno-1 → juno-2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints